#ifndef DASHBOARDNAMINGDIALOG_H
#define DASHBOARDNAMINGDIALOG_H

#include <QDialog>

QT_BEGIN_NAMESPACE
namespace Ui {
class dashboardNamingDialog;
}
QT_END_NAMESPACE

class DashboardNamingDialog : public QDialog
{
    Q_OBJECT

public:
    DashboardNamingDialog(QWidget *parent = nullptr);
    ~DashboardNamingDialog();

    void showUsedForCreat();
    void showUsedForRename();
    void showErrorInfo(const QString&);

protected:
    //void showEvent(QShowEvent*);

signals:
    void dashboardName(const QString&, const QString&);
    void sgl_hide();

public slots:
    void onBtnClicked_confirm();
    void onBtnClicked_cancle();
    void onBtnClicked_close();
    void onTextChanged_name(const QString&);

private:
    Ui::dashboardNamingDialog*  ui;
    QString                     m_strUsedFor;
};

#endif
